在Windows 7中安装.NET Framework 4.8

By | 2024年1月21日

Windows 7是一个老的操作系统,它与它的SP1版本早已在2015年1月13日结束主流版本的支持,虽然微软官方将最终支持日期延期到2020年1月14日,但这也已经过去了几年的时间了,参考:https://learn.microsoft.com/en-us/lifecycle/products/windows-7

那么为什么需要使用.NET Framework 4.8呢?因为.NET Framework 4.8是最后一个经典.NET Framework的大版本,而且它能够支持到NET Standard 2.0,也就是说,在一个.NET Framework 4.8的应用程序中,可以引用一个target到NET Standard 2.0的跨平台类库。那为什么又要使用Windows 7这样老的操作系统呢?呵呵,在你的客户只能使用老版本Windows并且不愿意或者不能升级的时候,你就不会有这个困惑了。

根据微软官方对于.NET Framework在各个不同Windows版本下的支持情况的说明,Windows 7最高可以支持到.NET Framework 4.8,而.NET Framework 4.8.1则不再支持Windows 7。因此,是可以在Windows 7下安装.NET Framework 4.8的。

在Windows 7下安装.NET Framework 4.8,流程如下:

  1. 确保Windows 7已经安装Service Pack 1
  2. 下载微软根证书,参考:https://stackoverflow.com/a/60812129/6284640
  3. 安装针对 Windows 和 WSUS 的 2019 SHA-2 代码签名支持更新,确切地说,安装KB4474419KB4490628安全更新包
  4. 下载并安装.NET Framework 4.8

 

(总访问量:88;当日访问量:1)

发表回复

您的电子邮箱地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据